package model

import "time"

/* code 结构体 */
type CodeData struct {
	Code   string `form:"code" binding:"required"`
	Gid    string `form:"gid" binding:"required"`
	Pf     string `form:"pf" binding:"required"`
	Secret string `form:"secret"`
}

type Users struct {
	ID     int    `json:"id" gorm:"not null;"`
	OpenId string `json:"openId" gorm:"not null;column:openId;"`
	Pf     string `json:"pf" gorm:"not null;"`
	UserId int    `json:"userId" gorm:"not null;column:userId;"`

	CreatedAt time.Time `json:"createdAt" gorm:"column:createdAt;"`
	UpdatedAt time.Time `json:"updatedAt" gorm:"column:updatedAt;"`
}

type User struct {
	ID        int       `json:"id" gorm:"not null;"`
	Pf        string    `json:"pf" gorm:"not null;"`
	Gid       string    `json:"gid" gorm:"not null;"`
	UserId    int       `json:"userId" gorm:"not null;column:userId;"`
	CreatedAt time.Time `json:"createdAt" gorm:"column:createdAt;"`
}

type UserLogin struct {
	ID        int       `json:"id" gorm:"not null;"`
	Pf        string    `json:"pf" gorm:"not null;"`
	Gid       string    `json:"gid" gorm:"not null;"`
	UserId    int       `json:"userId" gorm:"not null;column:userId;"`
	LoginTime time.Time `json:"loginTime" gorm:"column:loginTime;"`
}

type UserOnline struct {
	ID      int       `json:"id" gorm:"not null;"`
	Pf      string    `json:"pf" gorm:"not null;"`
	Gid     string    `json:"gid" gorm:"not null;"`
	UserId  int       `json:"userId" gorm:"not null;column:userId;"`
	Type    int       `json:"type" gorm:"not null;"`
	Date    string    `json:"date" gorm:"not null;"`
	LogTime time.Time `json:"logTime" gorm:"column:logTime;"`
}

type UserSeeAds struct {
	ID        int       `json:"id" gorm:"not null;"`
	Pf        string    `json:"pf" gorm:"not null;"`
	Gid       string    `json:"gid" gorm:"not null;"`
	UserId    int       `json:"userId" gorm:"not null;column:userId;"`
	Date      string    `json:"date" gorm:"not null;"`
	CreatedAt time.Time `json:"createdAt" gorm:"column:createdAt;"`
	AdsId     string    `json:"adsId" gorm:"not null;column:adsId;"`
	AdsType   string    `json:"adsType" gorm:"not null;column:adsType;"`
	AdsScene  string    `json:"adsScene" gorm:"not null;column:adsScene;"`
	AdsState  int       `json:"adsState" gorm:"not null;column:adsState;"`
}
